## OsinfoDatamap OsinfoDatamap |

## Functions

OsinfoDatamap * | osinfo_datamap_new ()
void | osinfo_datamap_insert ()
const gchar * | osinfo_datamap_lookup ()
const gchar * | osinfo_datamap_reverse_lookup ()

## Object Hierarchy

        GObject
        ╰── OsinfoEntity
            ╰── OsinfoDatamap

## Description

OsinfoDatamap is an object for representing OS datamaps. It is to translate generic osinfo values to OS specific data.

## Functions

### osinfo_datamap_new ()

    OsinfoDatamap *
    osinfo_datamap_new (const gchar *id);

### osinfo_datamap_insert ()

    void
    osinfo_datamap_insert (OsinfoDatamap *map,
                           const gchar *inval,
                           const gchar *outval);

### osinfo_datamap_lookup ()

    const gchar *
    osinfo_datamap_lookup (OsinfoDatamap *map,
                           const gchar *inval);

### osinfo_datamap_reverse_lookup ()

    const gchar *
    osinfo_datamap_reverse_lookup (OsinfoDatamap *map,
                                   const gchar *outval);

## Types and Values

## See Also

OsinfoDatamap